/*
* @Author: Sebastian Castro
* @Date:   2017-03-27 11:57:15
* @Last Modified by:   Sebastian Castro
* @Last Modified time: 2017-11-08 15:41:54
*/
.categories-info
{
	margin-bottom: 1rem;
	font-style: italic;
}
.category-field
{
	@include flexbox();
	@include flex-flow(column wrap);	

	&.error
	{
		&:before
		{
			width: 100%;
			content: attr(data-error-msg);		
		}
	}	

	&.inline 
	{
		@include flex-flow(row wrap);

		@include align(center);	

		.category-field-select 
		{
		  @include order(0);
		  .select-wrapper input.select-dropdown { margin-bottom: 1rem; }
		  width: 100%;
		}
	}

	.category-field
	{
		margin: 0;
		margin-left: .5rem;
    padding-left: 1.2rem;
  	border-left: 1px dotted #c3c3c3;  	

  	&:first-child { margin-top: 1rem; }
	}	

	.category-field-select
	{
		@include flex(initial);	
		@include order(0);
		margin: 0;    

		.caret 
		{ 
			color: white;
    	z-index: 10;
    	right: 15px;
    	top: 7px;
    }

		.select-wrapper 
		{
		  padding-left: 1rem;
		  @include border-radius(3px);
	    @include transition(background-color .2s);

			input.select-dropdown
			{
				height: 2rem;
		    line-height: 2rem;
		    margin-bottom: .8rem;
		    text-transform: uppercase;
		    font-size: .8rem;
		    font-weight: bold;
	      border: none !important;		    
		    background-color: transparent;
		    color: white;
	  	}
		}
	}		

	.option-field
	{
		@include flex(initial);
		margin-bottom: 1rem;

		&:not(.selected) { display: none !important; }

		.option-field-value {
			display: flex;
			align-items: center;
		}

		&.inline 
		{ 
			display: inline-block;

			@include border-radius(5px);
			margin-right: .5rem;
			.option-field-name { color: white; }

			.option-field-value
			{
				padding: 3px 6px;

				.icon { display:none; margin-right: .4rem }

				.option-field-delete i { margin-left: 3px; color: white;}
			}
		}

		&:not(.inline) {
			width: 100%;
		}

		.icon
		{
			font-size: 19px;
	    float: left;
	    margin-right: .8rem;
		}

		.option-field-value.with-description
		{
			@include flexbox();
			@include flex-flow(row);
			@include justify-content(stretch);
			@include align(center);

			.option-field-name { width : 12rem; @include flex(initial); }
			.option-field-description 
			{ 
				@include flex(1); 
				margin: 0; 
				input { margin: 0; height: 2.3rem; }
			}
			.option-field-delete { width : 50px; @include flex(initial); }
		}

		.option-field-name
		{
			//font-weight: 600;
    	color: inherit;
    	display: inline-block;
		}

		.option-field-delete
		{
			display: inline-block;

			i 
			{ 
				float : right;
				display:flex;
				font-size: 1.2rem;
   			margin-left: 1rem;

   			color: #5f5f5f;			
				&:hover { cursor: pointer;}
			}
		}		
	}

	
}